---
title: Howto Custom SystemRescueCD
...

* Documentation : <http://www.system-rescue-cd.org/Customization/>

[SystemRescueCD](http://www.system-rescue-cd.org/) est un live CD intégrant de nombreux outils pour récupérer un système endommagé (parted, grub, sfdisk, ...) ou installer un système (debootstrap).

Nous allons ici personnaliser SystemRescueCD pour qu'il intègre directement nos clés SSH dès son lancement.

## Mise en place

**Quelques pré-requis**

Tout d'abord, nous avons besoin de son ISO accessible à cette adresse : http://www.system-rescue-cd.org/Download/
Nous pourrons la lancer dans KVM par exemple.

Une fois arrivé sur un terminal, on devra réserver une partition d'au moins 8Go pour placer à l'intérieur toute l'arborescence du système personnalisé.
Admettons que le disque /dev/sda contient fraîchement la partition /dev/sda1. Puis nous la montons dans le système :

~~~
mkdir /mnt/custom
mkfs.ext4 /dev/sda1
mount /dev/sda1 /mnt/custom
~~~

Nous allons extraire l'image du système courant :

~~~
% /usr/sbin/sysresccd-custom extract
  /mnt/custom is mounted -> ok
    there is enough estimated free space here (.... MB) -> ok
~~~

Il est maintenant possible de le personnaliser dans le dossier /mnt/custom/customcd/files/.

Nous lui incluons cette clé SSH pour avoir une prise en main distante :

~~~
mkdir -vp /mnt/custom/customcd/files/root/.ssh
echo "ssh-rsa tW8XUS9U4mF/sL[...]5Zc1jyx0yXHc85KaQ/lhtOPxHOLqANvpcrST28kRZoccBmvfmAn48QG3TKWLj4S utilisateur@machine" > /mnt/custom/customcd/files/root/.ssh/authorized_keys
~~~

Les modifications faites, nous passons à la réalisation de la nouvelle image squashfs :

~~~
/usr/sbin/sysresccd-custom squashfs
~~~

Cette procédure est assez lente et demande environ une vingtaine de minutes.

On créer enfin le nouvel ISO :

~~~
/usr/sbin/sysresccd-custom isogen my_srcd
~~~

Nous obtiendrons ainsi ce fichier :

~~~
/mnt/custom/customcd/isofile/sysresccd-20170406-1401.iso
~~~








